<div class="mdc-card h-100">
    {% if buildingUnit.getMainImage() is not null %}
        {% if buildingUnit.getMainImage().getThumbnailFile() is not null %}
            {% set image = path('file', {'fileUuid': buildingUnit.getMainImage().getThumbnailFile().getUuid()}) %}
        {% else %}
            {% set image = path('file', {'fileUuid': buildingUnit.getMainImage().getFile().getUuid()}) %}
        {% endif %}
    {% else %}
        {% set image = asset('build/images/no-image.jpg') %}
    {% endif %}
    <div class="lazy-image-loader my-card__media mdc-card__media mdc-card__media--16-9" data-background-image="{{ image }}"></div>
    {% if buildingUnit.isObjectIsEmpty() %}
        <span class="position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle">
            <span class="visually-hidden">Objekt steht leer</span>
        </span>
    {% endif %}
    {% if buildingUnit.isObjectBecomesEmpty() %}
        <span class="position-absolute top-0 start-100 translate-middle p-2 bg-warning border border-light rounded-circle">
            <span class="visually-hidden">Objekt fällt leer</span>
        </span>
    {% endif %}
    <div class="d-flex flex-column p-2 h-100">
        <strong>{{ buildingUnit.getName() }}</strong><br>
        <small class="mb-1">Objekt-Nr.: {{ buildingUnit.getId() }}{% if buildingUnit.getInternalNumber() %} ({{ buildingUnit.getInternalNumber() }}){% endif %}</small>
        <div class="d-flex flex-row docs-highlight mb-1">
            <div class="p-1 docs-highlight">
                <span class="material-icons-outlined">
                    pin_drop
                </span>
            </div>
            <div class="p-1 docs-highlight">
                <span>{{ buildingUnit.getAddress().getStreetName() }} {{ buildingUnit.getAddress().getHouseNumber() }} {% if buildingUnit.getInFloors() != null and buildingUnit.getInFloors().0  != null %} ({{ buildingUnit.getInFloors().0 }}) {% endif %}</span><br>
                <span>{{ buildingUnit.getAddress().getPostalCode() }} {{ buildingUnit.getAddress().getPlace().getPlaceName() }}</span>
            </div>
        </div>
        {% if buildingUnit.isObjectIsEmpty() %}{% set colorClass = 'text-danger' %}{% elseif buildingUnit.isObjectBecomesEmpty() %}{% set colorClass = 'text-warning' %}{% else %}{% set colorClass = '' %}{% endif %}
        {% if (buildingUnit.isObjectIsEmpty() and buildingUnit.getPastUsageIndustryClassification() != null) or buildingUnit.getCurrentUsageIndustryClassification() != null  %}
            <div class="d-flex flex-row docs-highlight mb-1">
                <div class="p-1 docs-highlight">
                    {% if buildingUnit.isObjectIsEmpty() and buildingUnit.getPastUsageIndustryClassification() != null %}
                        {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': buildingUnit.getPastUsageIndustryClassification(), 'tooltip': false, 'itemType': 'building-unit', 'itemId': buildingUnit.getId(), 'colorClass': colorClass} only %}
                    {% elseif buildingUnit.getCurrentUsageIndustryClassification() != null %}
                        {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': buildingUnit.getCurrentUsageIndustryClassification(), 'tooltip': false, 'itemType': 'building-unit', 'itemId': buildingUnit.getId(), 'colorClass': colorClass} only %}
                    {% else %}
                        <span class="material-icons-outlined {% if buildingUnit.isObjectIsEmpty() %}text-danger{% endif %} {% if buildingUnit.isObjectBecomesEmpty() %}text-warning{% endif %}">
                        location_city
                    </span>
                    {% endif %}
                </div>
                <div class="p-1 docs-highlight">
                    {% if buildingUnit.isObjectIsEmpty() and buildingUnit.getPastUsageIndustryClassification() != null %}
                        <span class="card-property-usage-description">
                            {{ buildingUnit.getPastUsageIndustryClassification().getName() }}{% if buildingUnit.getPastPropertyUsageBusinessType() != null %}, {{ buildingUnit.getPastPropertyUsageBusinessType().getName() }}{% endif %}
                            {% for propertyUser in buildingUnit.getPropertyUsers() %}
                                {% if is_granted('view', propertyUser.getPerson()) %}
                                    {% if propertyUser.getPropertyUserStatus().name == 'FORMER_PROPERTY_USER' %}
                                        – {% if propertyUser.getPerson().isDeleted == true %}<span class="text-danger">{% endif %}{{ propertyUser.getPerson().buildDisplayName() }}{% if propertyUser.getPerson().isDeleted == true %}</span>{% endif %}
                                    {% endif %}
                                {% endif %}
                            {% endfor %}
                        </span>
                    {% else %}
                        {% if buildingUnit.getCurrentUsageIndustryClassification() != null %}
                            <span class="card-property-usage-description">
                                {{ buildingUnit.getCurrentUsageIndustryClassification().getName() }}{% if buildingUnit.getCurrentPropertyUsageBusinessType() != null %}, {{ buildingUnit.getCurrentPropertyUsageBusinessType().getName() }}{% endif %}
                                {% for propertyUser in buildingUnit.getPropertyUsers() %}
                                    {% if is_granted('view', propertyUser.getPerson()) %}
                                        {% if propertyUser.getPropertyUserStatus().name == 'CURRENT_PROPERTY_USER' %}
                                            – {% if propertyUser.getPerson().isDeleted == true %}<span class="text-danger">{% endif %}{{ propertyUser.getPerson().buildDisplayName() }}{% if propertyUser.getPerson().isDeleted == true %}</span>{% endif %}
                                        {% endif %}
                                    {% endif %}
                                {% endfor %}
                            </span>
                        {% endif %}
                    {% endif %}
                </div>
            </div>
        {% endif %}
        {% if (buildingUnit.isObjectIsEmpty() and buildingUnit.getObjectIsEmptySince() != null) or (buildingUnit.isObjectBecomesEmpty() and buildingUnit.getObjectBecomesEmptyFrom() != null) %}
            <div class="d-flex flex-row docs-highlight mb-1">
                <div class="p-1 docs-highlight">
                    <span class="material-icons-outlined {% if buildingUnit.isObjectIsEmpty() %}text-danger{% endif %} {% if buildingUnit.isObjectBecomesEmpty() %}text-warning{% endif %}">
                        {% if buildingUnit.isObjectIsEmpty() %}error{% endif %} {% if buildingUnit.isObjectBecomesEmpty() %}gpp_maybe{% endif %}
                    </span>
                </div>
                <div class="p-1 docs-highlight">
                    {% if buildingUnit.isObjectIsEmpty() %}
                        Leerstand seit: {{ buildingUnit.getObjectIsEmptySince().format('d.m.Y') }}
                    {% else %}
                        Fällt leer zum: {{ buildingUnit.getObjectBecomesEmptyFrom().format('d.m.Y') }}
                    {% endif %}
                </div>
            </div>
        {% endif %}
    </div>
    {% if person is defined %}
        {% set userType = [] %}
        <div>
            <hr>
            {% for propertyOwner in buildingUnit.getPropertyOwners() %}
                {% if propertyOwner.getPerson() == person and 'Eigentümer' not in userType %}
                    {% set userType = userType|merge(['Eigentümer']) %}
                {% endif %}
            {% endfor %}
            {% for propertyUser in buildingUnit.getPropertyUsers() %}
                {% if propertyUser.getPerson() == person and 'Nutzer' not in userType %}
                    {% set userType = userType|merge(['Nutzer']) %}
                {% endif %}
            {% endfor %}
            {% for propertyContactPerson in buildingUnit.getPropertyContactPersons() %}
                {% if propertyContactPerson.getPerson() == person and 'Ansprechperson' not in userType %}
                    {% set userType = userType|merge(['Ansprechperson']) %}
                {% endif %}
            {% endfor %}
            <div class="px-3">
                <small>Zugeordnet als:</small>
                <p class="mb-1">{{ userType|join(', ') }}</p>
            </div>
        </div>
    {% endif %}
    <div class="mdc-card__actions justify-content-end">
        {% include 'component/view_or_edit_button_component.html.twig' with {
            'path': path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}),
            'item': buildingUnit
        } only %}
    </div>
</div>
